Package com.avaya.clientservices.calllog

## Interface CallLogParticipant

-     public interface CallLogParticipant

  Represents information about remote party for a call log entry. It contains remote address, remote number, display name and other information about called or calling user.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getDisplayName()` |
    `java.util.Date` | `getEnterTime()` |
    `java.util.Date` | `getLeaveTime()` |
    `Contact` | `getMatchingContact()` | Deprecated. Use `ContactService.resolveContacts(ResolveContactsRequest)` instead.
    `java.lang.String` | `getRemoteAddress()` |
    `java.lang.String` | `getRemoteNumber()` |
    `CallLogAddressSourceType` | `getSourceType()` | Determines the source of the remote endpoint address.
    `boolean` | `isModerator()` |
    `boolean` | `isRestrictedParticipant()` | Returns true if the participant has limited capabilities.

- - ### Method Detail

    - #### getMatchingContact

          Contact getMatchingContact()

      Deprecated.
      Use `ContactService.resolveContacts(ResolveContactsRequest)` instead.
      Returns:
        matched contact for this remote participant. If there was no matched contact, this property will remain null

    - #### getRemoteAddress

          java.lang.String getRemoteAddress()

      Returns:
        full remote address (i.e. full uri) to the remote endpoint.

    - #### getRemoteNumber

          java.lang.String getRemoteNumber()

      Returns:
        remote number associated with this participant on this call.

    - #### getEnterTime

          java.util.Date getEnterTime()

      Returns:
        for outgoing point to point call, this time represents the time the call was dialed out. For incoming call, this time represents the time when local phone device received incoming call. For conference call where participant list is available, this time stamp reflects when the remote participant joined the conference.

    - #### getLeaveTime

          java.util.Date getLeaveTime()

      Returns:
        time stamp of when this remote participant has left the session. For point to point call, this represents the time when the call ended. For conference call where participant list is available, this time represents when the remote participant left the conference. If the remote party was still on the call when the conference ended, this property will be set to default object value (ie. null).

    - #### isModerator

          boolean isModerator()

      Returns:
        if this remote participant represents a moderator on this conference call. If the remote participant is not a moderator for the conference call or if the call is a point to point session, this property is set to false.

    - #### isRestrictedParticipant

          boolean isRestrictedParticipant()

      Returns true if the participant has limited capabilities. Restricted participant cannot be lecturer or presenter and cannot become a normal participant. Restricted participant has no moderator controls and can only have a single receive-only video stream. Restricted participant cannot unblock camera and send video, or cannot perform remote camera control operations (e.g., control camera of a remote room system). Restricted participant is muted by the conference server by default, and can only be unmuted by the moderator, e.g., by getting moderator's attention to be unmuted through raise hand mechanism.
      Returns:
        True if the participant has limited capabilities, false otherwise.

    - #### getSourceType

          CallLogAddressSourceType getSourceType()

      Determines the source of the remote endpoint address. The address associated with this remote user maybe provided by the local client, network or the remote user represents a conference participant.
      Returns:
        The source of the endpoint address.

    - #### getDisplayName

          java.lang.String getDisplayName()

      Returns:
        the remote user's display name as reported by the network.